Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153207 - Broken snd-intel8x0m winmodem driver
Summary: Broken snd-intel8x0m winmodem driver
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-02 23:27 UTC by Sergey V. Udaltsov
Modified: 2015-01-04 22:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-03 01:20:39 UTC


Attachments (Terms of Use)

Description Sergey V. Udaltsov 2005-04-02 23:27:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
Trying to use my windmodem using slmodemd, I get kernel problems (I do not have with the previous 2.6.10-1.770.FC3):
Apr  2 21:44:31 sputnik kernel: Debug: sleeping function called from invalid context at include/asm/semaphore.h:107
Apr  2 21:44:31 sputnik kernel: in_atomic():0, irqs_disabled():1
Apr  2 21:44:31 sputnik kernel:  [<c011d00e>] __might_sleep+0x9c/0xa4
Apr  2 21:44:31 sputnik kernel:  [<e09222d3>] snd_ac97_update_bits+0x31/0x61 [snd_ac97_codec]
Apr  2 21:44:31 sputnik kernel:  [<e08eda7b>] snd_intel8x0m_pcm_trigger+0x5b/0x74 [snd_intel8x0m]
Apr  2 21:44:31 sputnik kernel:  [<e0978ccd>] snd_pcm_do_stop+0x35/0x39 [snd_pcm]
Apr  2 21:44:31 sputnik kernel:  [<e097834a>] snd_pcm_action_group+0xde/0x2e8 [snd_pcm]
Apr  2 21:44:31 sputnik kernel:  [<e0978606>] snd_pcm_action+0x66/0x19a [snd_pcm]
Apr  2 21:44:31 sputnik kernel:  [<e0979d88>] snd_pcm_drop+0xad/0x222 [snd_pcm]
Apr  2 21:44:31 sputnik kernel:  [<e09821cf>] snd_pcm_lib_read+0x5a/0x8e [snd_pcm]
Apr  2 21:44:31 sputnik kernel:  [<e0981a2f>] snd_pcm_lib_read_transfer+0x0/0x74 [snd_pcm]
Apr  2 21:44:31 sputnik kernel:  [<e097c8b9>] snd_pcm_capture_ioctl1+0x2e/0x294 [snd_pcm]
Apr  2 21:44:31 sputnik kernel:  [<c018e0b1>] sys_select+0x3c5/0x4e1
Apr  2 21:44:31 sputnik kernel:  [<e097cb45>] snd_pcm_capture_ioctl+0x0/0x26 [snd_pcm]
Apr  2 21:44:31 sputnik kernel:  [<c018cec9>] do_ioctl+0x39/0x52
Apr  2 21:44:31 sputnik kernel:  [<c018d077>] vfs_ioctl+0x57/0x195
Apr  2 21:44:31 sputnik kernel:  [<c018d214>] sys_ioctl+0x5f/0x6f
Apr  2 21:44:31 sputnik kernel:  [<c0103903>] syscall_call+0x7/0xb
Apr  2 21:44:31 sputnik kernel: codec_semaphore: semaphore is not ready [0x1][0x701300]
Apr  2 21:44:31 sputnik kernel: codec_write 1: semaphore is not ready for register 0x54

Version-Release number of selected component (if applicable):
kernel-2.6.11-7.FC3

How reproducible:
Always

Steps to Reproduce:
1. Install winmodem  
00:1f.6 Modem: Intel Corp. 82801DB/DBL/DBM (ICH4/ICH4-L/ICH4-M) AC'97 Modem Controller (rev 03)
2. Try to connect to any dialup ISP

Actual Results:  The error described above in /var/log/messages - and no connection.

Expected Results:  Connection, no error messages

Additional info:

Comment 1 Dave Jones 2005-07-15 20:46:20 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.

Comment 2 Dave Jones 2005-10-03 01:20:39 UTC
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.